#include <iostream>
#include <math.h>
#include <limits.h>
#include <string.h>
using namespace std;
int a[3]={1,2,5};
int minbr(int n)
{
	int min;
	int f[100];
	f[0]=0;
	for(int i=1; i<=n; i++)
	{
		min=INT_MAX/2;
		for(int j=0;j<3;j++)
		if(i>=a[j] && f[i-a[j]]+1<=min)
		{
			min=f[i-a[j]]+1;
		
		}
		
		f[i]=min;
	}
	return f[n];
}
main()
{
	
	string s;
	getline(cin,s);
	int b[20], j=0;
	for(int i=0; i<s.size(); i++)
	{
		b[i]=(int)s[i]-48;
		j+=minbr(b[i]);
	}
	cout<<j;
}